package main

import (
	"bufio"
	"fmt"
	"os"
	"strings"

	"github.com/fatih/color"
)

func ReadBool() bool {
	read := bufio.NewReader(os.Stdin)
	ret, _ := read.ReadByte()
	switch ret {
	case 'y':
		fallthrough
	case 'Y':
		return true
	case 'n':
		fallthrough
	case 'N':
		return false
	}
	return false
}

func ReadBoolWithMessage(message string) bool {
	NoNewLinePrint(color.HiRedString, message)
	return ReadBool()
}

func ReadLine() string {
	read := bufio.NewReader(os.Stdin)
	s, _ := read.ReadString('\n')
	return s
}

func ReadLineWithMessage(message string) string {
	NoNewLinePrint(color.HiRedString, message)
	return ReadLine()
}

// ExistFile 文件是否存在
func ExistFile(filePath string) bool {
	info, err := os.Stat(filePath)
	return err == nil && !info.IsDir()
}

// ExistDir 目录是否存在
func ExistDir(dirPath string) bool {
	info, err := os.Stat(dirPath)
	return err == nil && info.IsDir()
}

func NoNewLinePrint(f func(format string, a ...interface{}) string, message string) {
	if strings.HasSuffix(message, "\n") {
		message = message[:len(message)-1]
	}
	fmt.Printf(f(message))
}
